// eslint-disable-next-line
import {
  UserLayout,
  BasicLayout,
  RouteView,
  BlankLayout,
  PageView
} from '@/layouts'

export const asyncRouterMap = [
  {
    path: '/',
    name: 'index',
    component: BasicLayout,
    meta: { title: '首页' },
    redirect: '/home',
    children: [
      {
        path: '/home',
        name: 'home',
        redirect: '/home',
        component: PageView,
        meta: {
          title: '首页',
          icon: 'home'
        },
        hideChildrenInMenu: true,
        children: [
          {
            path: '/home',
            name: 'home',
            component: () => import(/* webpackChunkName: "home" */ '@/views/Home'),
            meta: {
              title: '首页',
              icon: 'home',
              hide: true
            }
          }
        ]
      },
      {
        path: '/changePwd',
        name: 'changePwd',
        component: () => import(/* webpackChunkName: "home" */ '@/views/user/ChangePwd'),
        meta: {
          title: '修改密码',
          icon: 'home'
        },
        hidden: true
      },
      // 新品列表
      {
        path: '/newProduct',
        name: 'newProduct',
        component: () => import(/* webpackChunkName: "home" */ '@/views/productManagement/newProduct/list'),
        meta: {
          title: '新品信息',
          icon: 'home'
        },
        hidden: true
      },
      // 销售管理
      {
        path: '/salesManagement',
        redirect: '/salesManagement/salesQuery',
        component: PageView,
        meta: {
          title: '销售管理',
          icon: 'account-book',
          permission: 'M_salesManage'
        },
        children: [
          {
            path: '/salesManagement/salesQuery',
            redirect: '/salesManagement/salesQuery/list',
            name: 'salesQuery',
            component: RouteView,
            meta: {
              title: '销售单查询',
              icon: 'monitor',
              permission: 'M_salesQueryList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'salesQueryList',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesQuery/list.vue'),
                meta: {
                  title: '销售单列表',
                  icon: 'monitor',
                  hidden: true,
                  permission: 'M_salesQueryList'
                }
              },
              {
                path: 'detail/:sn',
                name: 'salesDetail',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesQuery/detail.vue'),
                meta: {
                  title: '销售单详情',
                  icon: 'monitor',
                  hidden: true,
                  permission: 'B_salesDetail'
                }
              },
              {
                path: 'add/:id/:sn/:priceType',
                name: 'salesAdd',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesQuery/edit.vue'),
                meta: {
                  title: '新增销售单',
                  icon: 'monitor',
                  hidden: true,
                  permission: 'B_salesNews'
                }
              },
              {
                path: 'edit/:id/:sn/:priceType',
                name: 'salesEdit',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesQuery/edit.vue'),
                meta: {
                  title: '编辑销售单',
                  icon: 'monitor',
                  hidden: true,
                  permission: 'B_salesEdit'
                }
              }
            ]
          },
          {
            path: '/salesManagement/outboundOrder',
            redirect: '/salesManagement/outboundOrder/list',
            name: 'outboundOrder',
            component: RouteView,
            meta: {
              title: '出库',
              icon: 'export',
              permission: 'M_outboundList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'outboundOrderList',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/outboundOrder/list.vue'),
                meta: {
                  title: '出库列表',
                  icon: 'export',
                  hidden: true,
                  permission: 'M_outboundList'
                }
              }
            ]
          },
          {
            path: '/salesManagement/urgentItemsOffset',
            redirect: '/salesManagement/urgentItemsOffset/list',
            name: 'urgentItemsOffset',
            component: RouteView,
            meta: {
              title: '急件冲减',
              icon: 'rocket',
              permission: 'M_urgentItemsOffsetList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'urgentItemsOffsetList',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/urgentItemsOffset/list.vue'),
                meta: {
                  title: '急件冲减列表',
                  icon: 'rocket',
                  hidden: true,
                  permission: 'M_urgentItemsOffsetList'
                }
              },
              {
                path: 'detail/:sn',
                name: 'urgentItemsOffsetDetail',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/urgentItemsOffset/detail.vue'),
                meta: {
                  title: '急件冲减详情',
                  icon: 'rocket',
                  hidden: true,
                  permission: 'M_urgentDetail'
                }
              }
            ]
          },
          {
            path: '/salesManagement/salesReturn',
            redirect: '/salesManagement/salesReturn/list',
            name: 'salesReturn',
            component: RouteView,
            meta: {
              title: '销售退货',
              icon: 'fund',
              permission: 'M_salesReturnList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'salesReturnList',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesReturn/list.vue'),
                meta: {
                  title: '退货单列表',
                  icon: 'fund',
                  hidden: true,
                  permission: 'M_salesReturnList'
                }
              },
              {
                path: 'detail/:id/:sn',
                name: 'salesReturnDetail',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesReturn/detail.vue'),
                meta: {
                  title: '退货单详情',
                  icon: 'fund',
                  hidden: true,
                  permission: 'B_salesReturnDetail'
                }
              },
              {
                path: 'salesReturnGrabEdit/:id/:sn/:buyerSn',
                name: 'salesReturnGrabEdit',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesReturn/salesReturnGrabEdit.vue'),
                meta: {
                  title: '编辑退货单（抓单）',
                  icon: 'fund',
                  hidden: true,
                  permission: 'B_salesReturnEdit'
                }
              },
              {
                path: 'salesReturnEdit/:id/:sn/:buyerSn',
                name: 'salesReturnEdit',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesReturn/salesReturnEdit.vue'),
                meta: {
                  title: '编辑退货单（不抓单）',
                  icon: 'fund',
                  hidden: true,
                  permission: 'B_salesReturnEdit'
                }
              }
            ]
          },
          // {    二期
          //   path: '/salesManagement/quotation',
          //   redirect: '/salesManagement/quotation/list',
          //   name: 'quotation',
          //   component: RouteView,
          //   meta: {
          //     title: '报价单',
          //     icon: 'idcard'
          //     // permission: 'M_goodsManage_list'
          //   },
          //   hideChildrenInMenu: true,
          //   children: [
          //     {
          //       path: 'list',
          //       name: 'quotationList',
          //       component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/quotation/list.vue'),
          //       meta: {
          //         title: '报价单列表',
          //         icon: 'idcard',
          //         hidden: true
          //         // permission: 'M_goodsManage_list'
          //       }
          //     },
          //     {
          //       path: 'add',
          //       name: 'quotationAdd',
          //       component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/quotation/edit.vue'),
          //       meta: {
          //         title: '新增报价单',
          //         icon: 'idcard',
          //         hidden: true
          //         // permission: 'M_goodsManage_list'
          //       }
          //     },
          //     {
          //       path: 'edit/:id',
          //       name: 'quotationEdit',
          //       component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/quotation/edit.vue'),
          //       meta: {
          //         title: '编辑报价单',
          //         icon: 'idcard',
          //         hidden: true
          //         // permission: 'M_goodsManage_list'
          //       }
          //     },
          //     {
          //       path: 'detail/:id',
          //       name: 'quotationDetail',
          //       component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/quotation/detail.vue'),
          //       meta: {
          //         title: '报价单详情',
          //         icon: 'idcard',
          //         hidden: true
          //         // permission: 'M_goodsManage_list'
          //       }
          //     }
          //   ]
          // },
          {
            path: '/salesManagement/giftRecord',
            redirect: '/salesManagement/giftRecord/list',
            name: 'giftRecord',
            component: RouteView,
            meta: {
              title: '赠品记录',
              icon: 'file-search',
              permission: 'M_giftRecordList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'giftRecordList',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/giftRecord/list.vue'),
                meta: {
                  title: '赠品记录列表',
                  icon: 'file-search',
                  hidden: true,
                  permission: 'M_giftRecordList'
                }
              }
            ]
          }
          // {
          //   path: '/salesManagement/salesman',
          //   redirect: '/salesManagement/salesman/list',
          //   name: 'salesman',
          //   component: RouteView,
          //   meta: {
          //     title: '业务员管理',
          //     icon: 'file-search'
          //     // permission: 'M_giftRecordList'
          //   },
          //   hideChildrenInMenu: true,
          //   children: [
          //     {
          //       path: 'list',
          //       name: 'salesmanList',
          //       component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesman/list.vue'),
          //       meta: {
          //         title: '业务员列表',
          //         icon: 'file-search',
          //         hidden: true
          //         // permission: 'M_giftRecordList'
          //       }
          //     }
          //   ]
          // }
        ]
      },
      // 采购管理
      {
        path: '/purchasingManagement',
        redirect: '/purchasingManagement/purchaseOrder',
        component: PageView,
        meta: {
          title: '采购管理',
          icon: 'money-collect',
          permission: 'M_purchasingManagement'
        },
        children: [
          {
            path: '/purchasingManagement/purchaseOrder',
            redirect: '/purchasingManagement/purchaseOrder/list',
            name: 'purchaseOrder',
            component: RouteView,
            meta: {
              title: '采购单管理',
              icon: 'money-collect',
              permission: 'M_purchasingList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'purchaseOrderList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/purchasingManagement/purchaseOrder/list.vue'),
                meta: {
                  title: '采购单列表',
                  icon: 'money-collect',
                  hidden: true,
                  permission: 'M_purchasingList'
                }
              },
              {
                path: 'add/:sn',
                name: 'purchaseOrderAdd',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/purchasingManagement/purchaseOrder/edit.vue'),
                meta: {
                  title: '新增采购单',
                  icon: 'money-collect',
                  hidden: true,
                  permission: 'B_purchaseNew'
                }
              },
              {
                path: 'edit/:sn',
                name: 'purchaseOrderEdit',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/purchasingManagement/purchaseOrder/edit.vue'),
                meta: {
                  title: '编辑采购单',
                  icon: 'money-collect',
                  hidden: true,
                  permission: 'B_purchaseEdit'
                }
              },
              {
                path: 'detail/:sn',
                name: 'purchaseOrderDetail',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/purchasingManagement/purchaseOrder/detail.vue'),
                meta: {
                  title: '采购单详情',
                  icon: 'money-collect',
                  hidden: true,
                  permission: 'B_purchaseDetail'
                }
              },
              {
                path: 'warehousing/:sn',
                name: 'purchaseOrderWarehousing',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/purchasingManagement/purchaseOrder/warehousing.vue'),
                meta: {
                  title: '采购入库',
                  icon: 'money-collect',
                  hidden: true,
                  permission: 'B_purchaseReceiving'
                }
              }
            ]
          },
          {
            path: '/purchasingManagement/purchaseReturn',
            redirect: '/purchasingManagement/purchaseReturn/list',
            name: 'purchaseReturn',
            component: RouteView,
            meta: {
              title: '采购退货',
              icon: 'money-collect',
              permission: 'M_purchaseReturnList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'purchaseReturnList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/purchasingManagement/purchaseReturn/list.vue'),
                meta: {
                  title: '采购退货列表',
                  icon: 'money-collect',
                  hidden: true,
                  permission: 'M_purchaseReturnList'
                }
              },
              {
                path: 'add/:id/:sn/:name',
                name: 'purchaseReturnAdd',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/purchasingManagement/purchaseReturn/edit.vue'),
                meta: {
                  title: '新增采购退货单',
                  icon: 'money-collect',
                  hidden: true,
                  permission: 'B_purchaseReturnNew'
                }
              },
              {
                path: 'edit/:id/:sn/:name',
                name: 'purchaseReturnEdit',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/purchasingManagement/purchaseReturn/edit.vue'),
                meta: {
                  title: '编辑采购退货单',
                  icon: 'money-collect',
                  hidden: true,
                  permission: 'B_purchaseReturnEdit'
                }
              },
              {
                path: 'detail/:sn',
                name: 'purchaseReturnDetail',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/purchasingManagement/purchaseReturn/detail.vue'),
                meta: {
                  title: '采购退货详情',
                  icon: 'money-collect',
                  hidden: true,
                  permission: 'B_purchaseReturnDetail'
                }
              }
            ]
          }
        ]
      },
      // 财务管理
      {
        path: '/financialManagement',
        redirect: '/financialManagement/warehousingAudit',
        component: PageView,
        meta: {
          title: '财务管理',
          icon: 'property-safety',
          permission: 'M_financial'
        },
        children: [
          {
            path: '/financialManagement/warehousingAudit',
            redirect: '/financialManagement/warehousingAudit/list',
            name: 'warehousingAudit',
            component: RouteView,
            meta: {
              title: '入库审核',
              icon: 'pull-request',
              permission: 'M_warehousingAuditList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'warehousingAuditList',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/warehousingAudit/list.vue'),
                meta: {
                  title: '入库审核列表',
                  icon: 'pull-request',
                  hidden: true,
                  permission: 'M_warehousingAuditList'
                }
              },
              {
                path: 'detail/:sn',
                name: 'warehousingAuditDetail',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/warehousingAudit/detail.vue'),
                meta: {
                  title: '入库审核详情',
                  icon: 'pull-request',
                  hidden: true,
                  permission: 'M_warehousingAudit_detail'
                }
              }
            ]
          },
          {
            path: '/financialManagement/inventoryCheckAudit',
            redirect: '/financialManagement/inventoryCheckAudit/list',
            name: 'inventoryCheckAudit',
            component: RouteView,
            meta: {
              title: '盘点审核',
              icon: 'laptop',
              permission: 'M_inventoryCheckAuditList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'inventoryCheckAuditList',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/inventoryCheckAudit/list.vue'),
                meta: {
                  title: '盘点审核列表',
                  icon: 'laptop',
                  hidden: true,
                  permission: 'M_inventoryCheckAuditList'
                }
              }
            ]
          },
          {
            path: '/financialManagement/financialPayment',
            redirect: '/financialManagement/financialPayment/list',
            name: 'financialPayment',
            component: RouteView,
            meta: {
              title: '财务付款',
              icon: 'pay-circle',
              permission: 'M_financialPaymentList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'financialPaymentList',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/financialPayment/list.vue'),
                meta: {
                  title: '财务付款列表',
                  icon: 'pay-circle',
                  hidden: true,
                  permission: 'M_financialPaymentList'
                }
              }
            ]
          },
          {
            path: '/financialManagement/financialCollection',
            redirect: '/financialManagement/financialCollection/list',
            name: 'financialCollection',
            component: RouteView,
            meta: {
              title: '财务收款',
              icon: 'money-collect',
              permission: 'M_financialCollectionList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'financialCollectionList',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/financialCollection/list.vue'),
                meta: {
                  title: '财务收款列表',
                  icon: 'money-collect',
                  hidden: true,
                  permission: 'M_financialCollectionList'
                }
              }
            ]
          },
          {
            path: '/financialManagement/expenseManagement',
            redirect: '/financialManagement/expenseManagement/list',
            name: 'expenseManagement',
            component: RouteView,
            meta: {
              title: '费用管理',
              icon: 'pound',
              permission: 'M_expenseManagementList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'expenseManagementList',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/expenseManagement/list.vue'),
                meta: {
                  title: '费用单列表',
                  icon: 'pound',
                  hidden: true,
                  permission: 'M_expenseManagementList'
                }
              },
              {
                path: 'add',
                name: 'expenseManagementAdd',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/expenseManagement/edit.vue'),
                meta: {
                  title: '新增费用单',
                  icon: 'pound',
                  hidden: true,
                  permission: 'B_expenseNew'
                }
              },
              {
                path: 'edit/:id',
                name: 'expenseManagementEdit',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/expenseManagement/edit.vue'),
                meta: {
                  title: '编辑费用单',
                  icon: 'pound',
                  hidden: true,
                  permission: 'B_expenseEdit'
                }
              }
            ]
          },
          {
            path: '/financialManagement/companyReceivablePayable',
            redirect: '/financialManagement/companyReceivablePayable/list',
            name: 'companyReceivablePayable',
            component: RouteView,
            meta: {
              title: '单位应收应付管理',
              icon: 'transaction',
              permission: 'M_companyReceivablePayableList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'companyReceivablePayableList',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/companyReceivablePayable/list.vue'),
                meta: {
                  title: '单位应收应付列表',
                  icon: 'transaction',
                  hidden: true,
                  permission: 'M_companyReceivablePayableList'
                }
              },
              {
                path: 'collectionPayment/:sn/:name',
                name: 'companyReceivablePayableCollectionPayment',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/companyReceivablePayable/collectionPayment.vue'),
                meta: {
                  title: '单位应收应付',
                  icon: 'transaction',
                  hidden: true,
                  permission: 'M_collectionPayment'
                }
              },
              {
                path: 'detail/:sn/:name',
                name: 'companyReceivablePayableDetail',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/companyReceivablePayable/detail.vue'),
                meta: {
                  title: '单位应收应付详情',
                  icon: 'transaction',
                  hidden: true,
                  permission: 'M_companyReceivablePayable_detail'
                }
              }
            ]
          },
          {
            path: '/financialManagement/companyCollectionPayment',
            redirect: '/financialManagement/companyCollectionPayment/list',
            name: 'companyCollectionPayment',
            component: RouteView,
            meta: {
              title: '单位收付款记录',
              icon: 'file-protect',
              permission: 'M_companyCollectionPaymentList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'companyCollectionPaymentList',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/companyCollectionPayment/list.vue'),
                meta: {
                  title: '单位收付款记录列表',
                  icon: 'file-protect',
                  hidden: true,
                  permission: 'M_companyCollectionPaymentList'
                }
              },
              {
                path: 'detail/:id/:sn',
                name: 'companyCollectionPaymentDetail',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/companyCollectionPayment/detail.vue'),
                meta: {
                  title: '单位收付款记录详情',
                  icon: 'file-protect',
                  hidden: true,
                  permission: 'M_companyCollectionPayment_detail'
                }
              }
            ]
          },
          {
            path: '/financialManagement/withdrawalManagement',
            redirect: '/financialManagement/withdrawalManagement/list',
            name: 'withdrawalManagement',
            component: RouteView,
            meta: {
              title: '提现管理',
              icon: 'dollar',
              permission: 'M_withdrawalManagementList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'withdrawalManagementList',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/withdrawalManagement/list.vue'),
                meta: {
                  title: '提现管理列表',
                  icon: 'dollar',
                  hidden: true,
                  permission: 'M_withdrawalManagementList'
                }
              }
            ]
          },
          {
            path: '/financialManagement/ledgerRecord',
            redirect: '/financialManagement/ledgerRecord/list',
            name: 'ledgerRecord',
            component: RouteView,
            meta: {
              title: '分账记录',
              icon: 'profile',
              permission: 'M_ledgerRecordList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'ledgerRecordList',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/ledgerRecord/list.vue'),
                meta: {
                  title: '分账记录列表',
                  icon: 'profile',
                  hidden: true,
                  permission: 'M_ledgerRecordList'
                }
              }
            ]
          }
        ]
      },
      // 调拨管理
      {
        path: '/allocationManagement',
        redirect: '/allocationManagement/warehouseAllocation',
        component: PageView,
        meta: {
          title: '调拨管理',
          icon: 'cluster',
          permission: 'M_allocationManagement'
        },
        children: [
          {
            path: '/allocationManagement/warehouseAllocation',
            redirect: '/allocationManagement/warehouseAllocation/list',
            name: 'warehouseAllocation',
            component: RouteView,
            meta: {
              title: '仓库调拨',
              icon: 'gateway',
              permission: 'M_warehouseAllocationList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'warehouseAllocationList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/allocationManagement/warehouseAllocation/list.vue'),
                meta: {
                  title: '仓库调拨列表',
                  icon: 'gateway',
                  hidden: true,
                  permission: 'M_warehouseAllocationList'
                }
              },
              {
                path: 'add',
                name: 'warehouseAllocationAdd',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/allocationManagement/warehouseAllocation/edit.vue'),
                meta: {
                  title: '新增仓库调拨',
                  icon: 'gateway',
                  hidden: true,
                  permission: 'B_warehouseAllocationNews'
                }
              },
              {
                path: 'edit/:id/:sn',
                name: 'warehouseAllocationEdit',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/allocationManagement/warehouseAllocation/edit.vue'),
                meta: {
                  title: '编辑仓库调拨',
                  icon: 'gateway',
                  hidden: true,
                  permission: 'B_warehouseAllocationEdit'
                }
              },
              {
                path: 'detail/:sn',
                name: 'warehouseAllocationDetail',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/allocationManagement/warehouseAllocation/detail.vue'),
                meta: {
                  title: '仓库调拨详情',
                  icon: 'gateway',
                  hidden: true,
                  permission: 'B_warehouseAllocationDetail'
                }
              }
            ]
          },
          {
            path: '/allocationManagement/chainTransferIn',
            redirect: '/allocationManagement/chainTransferIn/list',
            name: 'chainTransferIn',
            component: RouteView,
            meta: {
              title: '连锁调入',
              icon: 'cluster',
              permission: 'M_chainTransferInList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'chainTransferInList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/allocationManagement/chainTransferIn/list.vue'),
                meta: {
                  title: '连锁调入列表',
                  icon: 'cluster',
                  hidden: true,
                  permission: 'M_chainTransferInList'
                }
              },
              {
                path: 'edit/:id/:sn',
                name: 'chainTransferInEdit',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/allocationManagement/chainTransferIn/edit.vue'),
                meta: {
                  title: '编辑连锁调入',
                  icon: 'cluster',
                  hidden: true,
                  permission: 'B_allocLinkagePutEdit'
                }
              },
              {
                path: 'detail/:sn',
                name: 'chainTransferInDetail',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/allocationManagement/chainTransferIn/detail.vue'),
                meta: {
                  title: '连锁调入详情',
                  icon: 'cluster',
                  hidden: true,
                  permission: 'B_allocLinkagePutDetail'
                }
              }
            ]
          },
          {
            path: '/allocationManagement/chainTransferOut',
            redirect: '/allocationManagement/chainTransferOut/list',
            name: 'chainTransferOut',
            component: RouteView,
            meta: {
              title: '连锁调出',
              icon: 'pull-request',
              permission: 'M_chainTransferOutList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'chainTransferOutList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/allocationManagement/chainTransferOut/list.vue'),
                meta: {
                  title: '连锁调出列表',
                  icon: 'pull-request',
                  hidden: true,
                  permission: 'M_chainTransferOutList'
                }
              },
              {
                path: 'add/:id/:sn',
                name: 'chainTransferOutAdd',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/allocationManagement/chainTransferOut/edit.vue'),
                meta: {
                  title: '新增连锁调出',
                  icon: 'pull-request',
                  hidden: true,
                  permission: 'B_allocLinkageOutNew'
                }
              },
              {
                path: 'edit/:id/:sn',
                name: 'chainTransferOutEdit',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/allocationManagement/chainTransferOut/edit.vue'),
                meta: {
                  title: '编辑连锁调出',
                  icon: 'pull-request',
                  hidden: true,
                  permission: 'B_allocLinkageOutEdit'
                }
              },
              {
                path: 'detail/:sn',
                name: 'chainTransferOutDetail',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/allocationManagement/chainTransferOut/detail.vue'),
                meta: {
                  title: '连锁调出详情',
                  icon: 'pull-request',
                  hidden: true,
                  permission: 'B_allocLinkageOutDetail'
                }
              }
            ]
          },
          {
            path: '/allocationManagement/storeTransferOut',
            redirect: '/allocationManagement/storeTransferOut/list',
            name: 'storeTransferOut',
            component: RouteView,
            meta: {
              title: '店内调出',
              icon: 'interaction',
              permission: 'M_storeTransferOutList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'storeTransferOutList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/allocationManagement/storeTransferOut/list.vue'),
                meta: {
                  title: '店内调出列表',
                  icon: 'interaction',
                  hidden: true,
                  permission: 'M_storeTransferOutList'
                }
              },
              {
                path: 'add/:id/:sn',
                name: 'storeTransferOutAdd',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/allocationManagement/storeTransferOut/edit.vue'),
                meta: {
                  title: '新增店内调出',
                  icon: 'interaction',
                  hidden: true,
                  permission: 'B_storeTransferOutNews'
                }
              },
              {
                path: 'edit/:id/:sn',
                name: 'storeTransferOutEdit',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/allocationManagement/storeTransferOut/edit.vue'),
                meta: {
                  title: '编辑店内调出',
                  icon: 'interaction',
                  hidden: true,
                  permission: 'B_storeCallOutEdit'
                }
              },
              {
                path: 'detail/:sn',
                name: 'storeTransferOutDetail',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/allocationManagement/storeTransferOut/detail.vue'),
                meta: {
                  title: '店内调出详情',
                  icon: 'interaction',
                  hidden: true,
                  permission: 'B_storeCallOutDetail'
                }
              }
            ]
          }
        ]
      },
      // 库存管理
      {
        path: '/inventoryManagement',
        redirect: '/inventoryManagement/inventoryQuery',
        component: PageView,
        meta: {
          title: '库存管理',
          icon: 'shop',
          permission: 'M_inventory'
        },
        children: [
          {
            path: '/inventoryManagement/inventoryQuery',
            redirect: '/inventoryManagement/inventoryQuery/list',
            name: 'inventoryQuery',
            component: RouteView,
            meta: {
              title: '库存查询',
              icon: 'monitor',
              permission: 'M_inventoryInventoryQueryList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'inventoryQueryList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/inventoryQuery/list.vue'),
                meta: {
                  title: '库存列表',
                  icon: 'monitor',
                  hidden: true,
                  permission: 'M_inventoryInventoryQueryList'
                }
              },
              {
                path: 'warehouseDetail/:sn',
                name: 'inventoryQueryWarehouseDetail',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/inventoryQuery/warehouseDetail.vue'),
                meta: {
                  title: '出入库明细',
                  icon: 'monitor',
                  hidden: true,
                  permission: 'B_inventoryInventoryQueryStock'
                }
              }
            ]
          },
          {
            path: '/inventoryManagement/inventoryWarning',
            name: 'inventoryWarningList',
            component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/inventoryWarning/list.vue'),
            meta: {
              title: '库存预警',
              icon: 'alert',
              permission: 'M_inventoryWarningList'
            }
          },
          {
            path: '/inventoryManagement/satelliteWarehouseInventory',
            name: 'satelliteWarehouseInventoryList',
            component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/satelliteWarehouseInventory/list.vue'),
            meta: {
              title: '卫星仓库存',
              icon: 'flag',
              permission: 'M_satelliteWarehouseInventoryList'
            }
          },
          {
            path: '/inventoryManagement/inventoryChecking',
            redirect: '/inventoryManagement/inventoryChecking/list',
            name: 'inventoryChecking',
            component: RouteView,
            meta: {
              title: '库存盘点',
              icon: 'reconciliation',
              permission: 'M_inventoryCheckingList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'inventoryCheckingList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/inventoryChecking/list.vue'),
                meta: {
                  title: '库存盘点列表',
                  icon: 'reconciliation',
                  hidden: true,
                  permission: 'M_inventoryCheckingList'
                }
              },
              {
                path: 'overall/:id/:sn',
                name: 'inventoryCheckingOverall',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/inventoryChecking/overall.vue'),
                meta: {
                  title: '编辑库存盘点【全盘】',
                  icon: 'reconciliation',
                  hidden: true,
                  permission: 'B_inventoryCheckingEdit'
                }
              },
              {
                path: 'selfDisk/:id/:sn',
                name: 'inventoryCheckingSelfDisk',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/inventoryChecking/selfDisk.vue'),
                meta: {
                  title: '编辑库存盘点【自选盘点】',
                  icon: 'reconciliation',
                  hidden: true,
                  permission: 'B_inventoryCheckingEdit'
                }
              },
              {
                path: 'makeInventory/:id/:sn',
                name: 'inventoryCheckingMakeInventory',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/inventoryChecking/makeInventory.vue'),
                meta: {
                  title: '盘点',
                  icon: 'reconciliation',
                  hidden: true,
                  permission: 'B_inventoryCheckingInventory'
                }
              }
            ]
          },
          {
            path: '/inventoryManagement/inventoryImport',
            redirect: '/inventoryManagement/inventoryImport/list',
            name: 'inventoryImport',
            component: RouteView,
            meta: {
              title: '库存导入',
              icon: 'frown'
              // permission: 'M_bulkReturnGoodsList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'inventoryImportList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/inventoryImport/list.vue'),
                meta: {
                  title: '库存导入列表',
                  icon: 'frown',
                  hidden: true
                  // permission: 'M_bulkReturnGoodsList'
                }
              }
            ]
          },
          {
            path: '/inventoryManagement/warehouse',
            redirect: '/inventoryManagement/warehouse/list',
            name: 'warehouse',
            component: RouteView,
            meta: {
              title: '仓库管理',
              icon: 'deployment-unit',
              permission: 'M_inventoryWarehouseList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'warehouseList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/warehouse/list.vue'),
                meta: {
                  title: '仓库列表',
                  icon: 'deployment-unit',
                  hidden: true,
                  permission: 'M_inventoryWarehouseList'
                }
              },
              {
                path: '/inventoryManagement/storingLocation/:sn',
                name: 'storingLocationList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/warehouse/storingLocation/list.vue'),
                meta: {
                  title: '仓位列表',
                  icon: 'deployment-unit',
                  hidden: true,
                  permission: 'M_inventoryWarehouseStoringLocationList'
                }
              }
            ]
          }
        ]
      },
      // 散件管理
      {
        path: '/bulkManagement',
        redirect: '/bulkManagement/purchaseOrder',
        component: PageView,
        meta: {
          title: '散件管理',
          icon: 'gold',
          permission: 'M_bulkWarehousingOrderList'
        },
        children: [
          {
            path: '/bulkManagement/bulkWarehousingOrder',
            redirect: '/bulkManagement/bulkWarehousingOrder/list',
            name: 'bulkWarehousingOrder',
            component: RouteView,
            meta: {
              title: '散件入库',
              icon: 'gold',
              permission: 'M_bulkWarehousingOrderList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'bulkWarehousingOrderList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/bulkManagement/bulkWarehousingOrder/list.vue'),
                meta: {
                  title: '散件入库单列表',
                  icon: 'gold',
                  hidden: true,
                  permission: 'M_bulkWarehousingOrderList'
                }
              },
              {
                path: 'add/:id/:sn',
                name: 'bulkWarehousingOrderAdd',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/bulkManagement/bulkWarehousingOrder/edit.vue'),
                meta: {
                  title: '新增散件入库单',
                  icon: 'gold',
                  hidden: true,
                  permission: 'B_bulkWarehousingOrder_add'
                }
              },
              {
                path: 'edit/:id/:sn',
                name: 'bulkWarehousingOrderEdit',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/bulkManagement/bulkWarehousingOrder/edit.vue'),
                meta: {
                  title: '编辑散件入库单',
                  icon: 'gold',
                  hidden: true,
                  permission: 'B_bulkWarehousingOrder_edit'
                }
              },
              {
                path: 'detail/:id/:sn',
                name: 'bulkWarehousingOrderDetail',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/bulkManagement/bulkWarehousingOrder/detail.vue'),
                meta: {
                  title: '散件入库单详情',
                  icon: 'gold',
                  hidden: true,
                  permission: 'B_bulkWarehousingOrder_detail'
                }
              }
            ]
          },
          {
            path: '/bulkManagement/bulkReturnGoods',
            redirect: '/bulkManagement/bulkReturnGoods/list',
            name: 'bulkReturnGoods',
            component: RouteView,
            meta: {
              title: '散件退货',
              icon: 'frown',
              permission: 'M_bulkReturnGoodsList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'bulkReturnGoodsList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/bulkManagement/bulkReturnGoods/list.vue'),
                meta: {
                  title: '散件退货列表',
                  icon: 'frown',
                  hidden: true,
                  permission: 'M_bulkReturnGoodsList'
                }
              },
              {
                path: 'edit/:id/:sn',
                name: 'bulkReturnGoodsEdit',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/bulkManagement/bulkReturnGoods/edit.vue'),
                meta: {
                  title: '编辑散件退货单(不抓单)',
                  icon: 'frown',
                  hidden: true,
                  permission: 'B_bulkReturnGoodsEdit'
                }
              },
              {
                path: 'grabEdit/:id/:sn/:supplierSn',
                name: 'bulkReturnGoodsGrabEdit',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/bulkManagement/bulkReturnGoods/grabEdit.vue'),
                meta: {
                  title: '编辑散件退货单(抓单)',
                  icon: 'frown',
                  hidden: true,
                  permission: 'B_bulkReturnGoodsEdit'
                }
              }
            ]
          },
          {
            path: '/bulkManagement/bulkImport',
            redirect: '/bulkManagement/bulkImport/list',
            name: 'bulkImport',
            component: RouteView,
            meta: {
              title: '散件导入',
              icon: 'frown'
              // permission: 'M_bulkReturnGoodsList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'bulkImportList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/bulkManagement/bulkImport/list.vue'),
                meta: {
                  title: '散件导入列表',
                  icon: 'frown',
                  hidden: true
                  // permission: 'M_bulkReturnGoodsList'
                }
              }
            ]
          }
        ]
      },
      // 报表
      {
        path: '/reportData',
        redirect: '/reportData/chainStockReport',
        component: PageView,
        meta: {
          title: '报表',
          icon: 'project',
          permission: 'M_reportData'
        },
        children: [
          {
            path: '/reportData/chainStockReport',
            redirect: '/reportData/chainStockReport/list',
            name: 'chainStockReport',
            component: RouteView,
            meta: {
              title: '连锁库存总表(天)',
              icon: 'profile',
              permission: 'M_chainStockReportList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'chainStockReportList',
                component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/chainStockReport/list.vue'),
                meta: {
                  title: '连锁库存总表列表',
                  icon: 'profile',
                  hidden: true,
                  permission: 'M_chainStockReportList'
                }
              }
            ]
          },
          {
            path: '/reportData/chainSalesReport',
            redirect: '/reportData/chainSalesReport/list',
            name: 'chainSalesReport',
            component: RouteView,
            meta: {
              title: '连锁销售报表(天)',
              icon: 'profile',
              permission: 'M_chainSalesReportList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'chainSalesReportList',
                component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/chainSalesReport/list.vue'),
                meta: {
                  title: '连锁销售报表列表',
                  icon: 'profile',
                  hidden: true,
                  permission: 'M_chainSalesReportList'
                }
              }
            ]
          },
          {
            path: '/reportData/chainSalesDetailReport',
            redirect: '/reportData/chainSalesDetailReport/list',
            name: 'chainSalesDetailReport',
            component: RouteView,
            meta: {
              title: '连锁销售明细报表(天)',
              icon: 'profile',
              permission: 'M_chainSalesDetailReportList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'chainSalesDetailReportList',
                component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/chainSalesDetailReport/list.vue'),
                meta: {
                  title: '连锁销售明细报表列表',
                  icon: 'profile',
                  hidden: true,
                  permission: 'M_chainSalesDetailReportList'
                }
              }
            ]
          },
          {
            path: '/reportData/chainReceivedSendStorageReport',
            redirect: '/reportData/chainReceivedSendStorageReport/list',
            name: 'chainReceivedSendStorageReport',
            component: RouteView,
            meta: {
              title: '连锁收发存报表',
              icon: 'profile',
              permission: 'M_chainReceivedSendStorageReportList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'chainReceivedSendStorageReportList',
                component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/chainReceivedSendStorageReport/list.vue'),
                meta: {
                  title: '连锁收发存报表列表',
                  icon: 'profile',
                  hidden: true,
                  permission: 'M_chainReceivedSendStorageReportList'
                }
              }
            ]
          },
          {
            path: '/reportData/customerReport',
            redirect: '/reportData/customerReport/list',
            name: 'customerReport',
            component: RouteView,
            meta: {
              title: '大客户报表(天)',
              icon: 'profile',
              permission: 'M_customerReportList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'customerReportList',
                component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/customerReport/list.vue'),
                meta: {
                  title: '大客户报表列表',
                  icon: 'profile',
                  hidden: true,
                  permission: 'M_customerReportList'
                }
              }
            ]
          },
          {
            path: '/reportData/stockIncomeReport',
            redirect: '/reportData/stockIncomeReport/list',
            name: 'stockIncomeReport',
            component: RouteView,
            meta: {
              title: '库存总入报表',
              icon: 'profile',
              permission: 'M_stockIncomeReportList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'stockIncomeReportList',
                component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/stockIncomeReport/list.vue'),
                meta: {
                  title: '库存总入报表列表',
                  icon: 'profile',
                  hidden: true,
                  permission: 'M_stockIncomeReportList'
                }
              }
            ]
          },
          {
            path: '/reportData/stockExpenditureReport',
            redirect: '/reportData/stockExpenditureReport/list',
            name: 'stockExpenditureReport',
            component: RouteView,
            meta: {
              title: '库存总出报表',
              icon: 'profile',
              permission: 'M_stockExpenditureReportList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'stockExpenditureReportList',
                component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/stockExpenditureReport/list.vue'),
                meta: {
                  title: '库存总出报表列表',
                  icon: 'profile',
                  hidden: true,
                  permission: 'M_stockExpenditureReportList'
                }
              }
            ]
          },
          {
            path: '/reportData/receivedSendStorageReport',
            redirect: '/reportData/receivedSendStorageReport/list',
            name: 'receivedSendStorageReport',
            component: RouteView,
            meta: {
              title: '收发存报表',
              icon: 'profile',
              permission: 'M_receivedSendStorageReportList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'receivedSendStorageReportList',
                component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/receivedSendStorageReport/list.vue'),
                meta: {
                  title: '收发存报表列表',
                  icon: 'profile',
                  hidden: true,
                  permission: 'M_receivedSendStorageReportList'
                }
              }
            ]
          }
        ]
      },
      // 客户管理
      {
        path: '/customerManagement',
        redirect: '/customerManagement/customerInfo',
        component: PageView,
        meta: {
          title: '客户管理',
          icon: 'idcard',
          permission: 'M_customerInfoList'
        },
        children: [
          {
            path: '/customerManagement/customerInfo',
            redirect: '/customerManagement/customerInfo/list',
            name: 'customerInfo',
            component: RouteView,
            meta: {
              title: '客户管理',
              icon: 'idcard',
              permission: 'M_customerInfoList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'customerInfoList',
                component: () => import(/* webpackChunkName: "customerManagement" */ '@/views/customerManagement/customerInfo/list.vue'),
                meta: {
                  title: '客户列表',
                  icon: 'idcard',
                  hidden: true,
                  permission: 'M_customerInfoList'
                }
              },
              {
                path: 'add',
                name: 'customerInfoAdd',
                component: () => import(/* webpackChunkName: "customerManagement" */ '@/views/customerManagement/customerInfo/edit.vue'),
                meta: {
                  title: '新增客户',
                  icon: 'idcard',
                  hidden: true,
                  permission: 'B_customer_customerInfo_add'
                }
              },
              {
                path: 'edit/:id',
                name: 'customerInfoEdit',
                component: () => import(/* webpackChunkName: "customerManagement" */ '@/views/customerManagement/customerInfo/edit.vue'),
                meta: {
                  title: '编辑客户',
                  icon: 'idcard',
                  hidden: true,
                  permission: 'B_customer_customerInfo_edit'
                }
              }
            ]
          }
        ]
      },
      // 产品管理
      {
        path: '/productManagement',
        redirect: '/productManagement/productInfo',
        component: PageView,
        meta: {
          title: '产品管理',
          icon: 'shopping',
          permission: 'M_product'
        },
        children: [
          {
            path: '/productManagement/productInfo',
            redirect: '/productManagement/productInfo/list',
            name: 'productInfo',
            component: RouteView,
            meta: {
              title: '产品信息管理（自建）',
              icon: 'file-text',
              permission: 'M_dealerProductList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'productInfoList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/productManagement/productInfo/list.vue'),
                meta: {
                  title: '产品信息列表',
                  icon: 'file-text',
                  hidden: true,
                  permission: 'M_dealerProductList'
                }
              },
              {
                path: 'add',
                name: 'productInfoAdd',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/productManagement/productInfo/edit.vue'),
                meta: {
                  title: '新增产品',
                  icon: 'file-text',
                  hidden: true,
                  permission: 'B_product_dealerProduct_add'
                }
              },
              {
                path: 'edit/:id',
                name: 'productInfoEdit',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/productManagement/productInfo/edit.vue'),
                meta: {
                  title: '编辑产品',
                  icon: 'file-text',
                  hidden: true,
                  permission: 'B_product_dealerProduct_edit'
                }
              }
            ]
          },
          {
            path: '/productManagement/productInfoJg',
            redirect: '/productManagement/productInfoJg/list',
            name: 'productInfoJg',
            component: RouteView,
            meta: {
              title: '产品信息管理（箭冠）',
              icon: 'file-text',
              permission: 'M_productInfoList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'productInfoJgList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/productManagement/productInfoJg/list.vue'),
                meta: {
                  title: '产品信息列表',
                  icon: 'file-text',
                  hidden: true,
                  permission: 'M_productInfoList'
                }
              }
            ]
          },
          {
            path: '/productManagement/productBrand',
            redirect: '/productManagement/productBrand/list',
            name: 'productBrand',
            component: RouteView,
            meta: {
              title: '产品品牌管理',
              icon: 'sketch',
              permission: 'M_dealerProductBrandList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'productBrandList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/productManagement/productBrand/list.vue'),
                meta: {
                  title: '产品品牌列表',
                  icon: 'sketch',
                  hidden: true,
                  permission: 'M_dealerProductBrandList'
                }
              }
            ]
          },
          {
            path: '/productManagement/productCategory',
            redirect: '/productManagement/productCategory/list',
            name: 'productCategory',
            component: RouteView,
            meta: {
              title: '产品分类管理',
              icon: 'sliders',
              permission: 'M_dealerProductTypeList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'productCategoryList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/productManagement/productCategory/list.vue'),
                meta: {
                  title: '产品分类列表',
                  icon: 'sliders',
                  hidden: true,
                  permission: 'M_dealerProductTypeList'
                }
              }
            ]
          },
          {
            path: '/productManagement/priceChangeRecord',
            redirect: '/productManagement/priceChangeRecord/list',
            name: 'priceChangeRecord',
            component: RouteView,
            meta: {
              title: '价格变更记录',
              icon: 'sketch',
              permission: 'M_priceChangeRecordList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'priceChangeRecordList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/productManagement/priceChangeRecord/list.vue'),
                meta: {
                  title: '价格变更记录列表',
                  icon: 'sketch',
                  hidden: true,
                  permission: 'M_priceChangeRecordList'
                }
              }
            ]
          }
        ]
      },
      //  供应商管理
      {
        path: '/supplierManagement',
        redirect: '/supplierManagement/supplierInfo',
        component: PageView,
        meta: {
          title: '供应商管理',
          icon: 'team',
          permission: 'M_supplierInfoList'
        },
        children: [
          {
            path: '/supplierManagement/supplierInfo',
            redirect: '/supplierManagement/supplierInfo/list',
            name: 'supplierInfo',
            component: RouteView,
            meta: {
              title: '供应商管理',
              icon: 'team',
              permission: 'M_supplierInfoList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'supplierInfoList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/supplierManagement/supplierInfo/list.vue'),
                meta: {
                  title: '供应商列表',
                  icon: 'team',
                  hidden: true,
                  permission: 'M_supplierInfoList'
                }
              }
            ]
          }
        ]
      },
      // 中心店/配送店管理
      {
        path: '/storeManagement',
        redirect: '/storeManagement/bind',
        component: PageView,
        meta: {
          title: '中心店/配送店管理',
          icon: 'bank',
          permission: 'M_storeManagement'
        },
        children: [
          {
            path: '/storeManagement/bind',
            redirect: '/storeManagement/bind/list',
            name: 'storeManagementBind',
            component: RouteView,
            meta: {
              title: '中心店/配送店绑定',
              icon: 'link',
              permission: 'M_storeManagementBindList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'storeManagementBindList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/storeManagement/bind/list.vue'),
                meta: {
                  title: '中心店/配送店绑定列表',
                  icon: 'link',
                  hidden: true,
                  permission: 'M_storeManagementBindList'
                }
              }
            ]
          },
          {
            path: '/storeManagement/userAuthorization',
            redirect: '/storeManagement/userAuthorization/list',
            name: 'storeManagementUserAuth',
            component: RouteView,
            meta: {
              title: '中心店用户授权',
              icon: 'link',
              permission: 'M_storeManagementUserAuthList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'storeManagementUserAuthList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/storeManagement/userAuthorization/list.vue'),
                meta: {
                  title: '中心店用户授权列表',
                  icon: 'link',
                  hidden: true,
                  permission: 'M_storeManagementUserAuthList'
                }
              }
            ]
          }
        ]
      },
      // 基础设置
      {
        path: '/basicData',
        redirect: '/basicData/storeTransferOutTypeManagement',
        component: PageView,
        meta: {
          title: '基础设置',
          icon: 'pushpin',
          permission: 'M_basicData'
        },
        children: [
          {
            path: '/basicData/storeTransferOutTypeManagement',
            redirect: '/basicData/storeTransferOutTypeManagement/list',
            name: 'storeTransferOutTypeManagement',
            component: RouteView,
            meta: {
              title: '店内调出类型管理',
              icon: 'interaction',
              permission: 'M_storeTransferOutTypeList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'storeTransferOutTypeManagementList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/basicData/storeTransferOutTypeManagement/list.vue'),
                meta: {
                  title: '店内调出类型管理列表',
                  icon: 'interaction',
                  hidden: true,
                  permission: 'M_storeTransferOutTypeList'
                }
              }
            ]
          },
          {
            path: '/basicData/bulkPartsTypeManagement',
            redirect: '/basicData/bulkPartsTypeManagement/list',
            name: 'bulkPartsTypeManagement',
            component: RouteView,
            meta: {
              title: '散件入库类型管理',
              icon: 'gold',
              permission: 'M_bulkPartsTypeList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'bulkPartsTypeManagementList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/basicData/bulkPartsTypeManagement/list.vue'),
                meta: {
                  title: '散件入库类型列表',
                  icon: 'gold',
                  hidden: true,
                  permission: 'M_bulkPartsTypeList'
                }
              }
            ]
          },
          {
            path: '/basicData/expenseType',
            redirect: '/basicData/expenseType/list',
            name: 'expenseType',
            component: RouteView,
            meta: {
              title: '费用类型管理',
              icon: 'pay-circle',
              permission: 'M_expenseTypeList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'expenseTypeList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/basicData/expenseType/list.vue'),
                meta: {
                  title: '费用类型列表',
                  icon: 'pay-circle',
                  hidden: true,
                  permission: 'M_expenseTypeList'
                }
              }
            ]
          },
          // {
          //   path: '/basicData/processSettings',
          //   redirect: '/basicData/processSettings/setup',
          //   name: 'processSettings',
          //   component: RouteView,
          //   meta: {
          //     title: '业务自动化设置',
          //     icon: 'sliders'
          //     // permission: 'M_goodsManage_list'
          //   },
          //   hideChildrenInMenu: true,
          //   children: [
          //     {
          //       path: 'setup',
          //       name: 'processSettingsSetup',
          //       component: () => import(/* webpackChunkName: "shop" */ '@/views/basicData/processSettings/setup.vue'),
          //       meta: {
          //         title: '业务自动化设置',
          //         icon: 'sliders',
          //         hidden: true
          //         // permission: 'M_goodsManage_list'
          //       }
          //     }
          //   ]
          // },
          {
            path: '/basicData/customerTypeManagement',
            redirect: '/basicData/customerTypeManagement/list',
            name: 'customerTypeManagement',
            component: RouteView,
            meta: {
              title: '客户类型管理',
              icon: 'idcard',
              permission: 'M_customerTypeList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'customerTypeManagementList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/basicData/customerTypeManagement/list.vue'),
                meta: {
                  title: '客户类型列表',
                  icon: 'idcard',
                  hidden: true,
                  permission: 'M_customerTypeList'
                }
              }
            ]
          }
        ]
      },
      // auth
      {
        path: '/auth',
        redirect: '/auth/userList',
        component: PageView,
        meta: {
          title: '权限管理',
          icon: 'lock',
          permission: 'M_powerMD_0'
        },
        children: [
          {
            path: '/auth/userList',
            name: 'powerUserList',
            component: () => import(/* webpackChunkName: "auth" */ '@/views/power/user/userList.vue'),
            meta: {
              title: '用户管理',
              icon: 'user',
              permission: 'M_powerMD_user_list'
            }
          },
          {
            path: '/auth/roleList',
            name: 'powerRoleList',
            component: () => import(/* webpackChunkName: "auth" */ '@/views/power/role/roleList.vue'),
            meta: {
              title: '角色管理',
              icon: 'solution',
              permission: 'M_powerMD_role_list'
            }
          }
        ]
      },
      // 系统设置
      // {
      //   path: '/setting',
      //   redirect: '/setting/userList',
      //   component: PageView,
      //   meta: {
      //     title: '系统设置',
      //     icon: 'setting'
      //     // permission: 'M_setting_0'
      //   },
      //   children: [
      //     {
      //       path: '/setting/dataDictionary',
      //       name: 'powerDD',
      //       component: () => import(/* webpackChunkName: "setting" */
      //         '@/views/power/dataDictionary/dataDictionary.vue'),
      //       meta: {
      //         title: '数据字典管理',
      //         icon: 'database'
      //         // permission: 'M_sys_dataDictionary'
      //       }
      //     },
      //     // {
      //     //   path: '/setting/register',
      //     //   name: 'powerRegister',
      //     //   component: () => import(/* webpackChunkName: "setting" */ '@/views/power/register/register.vue'),
      //     //   meta: {
      //     //     title: '参数管理',
      //     //     icon: 'key',
      //     //     permission: 'M_sys_register'
      //     //   }
      //     // },
      //     {
      //       path: '/setting/OperateJournal',
      //       name: 'powerOperateJournal',
      //       component: () => import(/* webpackChunkName: "setting" */
      //         '@/views/power/OperateJournal/OperateJournal.vue'),
      //       meta: {
      //         title: '操作日志',
      //         icon: 'read'
      //         // permission: 'M_operateJournal'
      //       }
      //     }
      //   ]
      // }
      // 公告
      {
        path: '/notice',
        name: 'notice',
        component: () => import(/* webpackChunkName: "home" */ '@/views/notice/list'),
        meta: {
          title: '公告',
          icon: 'bell'
        },
        hidden: true
      }
    ]
  },
  {
    path: '*',
    redirect: '/404',
    hidden: true
  }
]

/**
 * 基础路由
 * @type { *[] }
 */
export const constantRouterMap = [
  {
    path: '/user',
    component: UserLayout,
    redirect: '/user/login',
    hidden: true,
    children: [
      {
        path: 'login',
        name: 'login',
        component: () => import(/* webpackChunkName: "user" */ '@/views/user/Login')
      },
      {
        path: 'register',
        name: 'register',
        component: () => import(/* webpackChunkName: "user" */ '@/views/user/Register')
      },
      {
        path: 'register-result',
        name: 'registerResult',
        component: () => import(/* webpackChunkName: "user" */ '@/views/user/RegisterResult')
      },
      {
        path: 'recover',
        name: 'recover',
        component: undefined
      }
    ]
  },
  {
    path: '/404',
    component: () => import(/* webpackChunkName: "fail" */ '@/views/exception/404')
  }
]
